Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.maltparser.parser.algorithm.covington
Class CovingtonOracle

    java.lang.Object
      org.maltparser.parser.Oracle
          org.maltparser.parser.algorithm.covington.CovingtonOracle

All Implemented Interfaces:
  Guide, OracleGuide

    public class CovingtonOracle

extends Oracle

Author:
  Johan Hall

Field Summary

Fields inherited from class org.maltparser.parser.Oracle
`actionContainers, arcLabelActionContainers, transActionContainer`

Constructor Summary
`CovingtonOracle(DependencyParserConfig manager, GuideUserHistory history)`

Method Summary
`void` | `finalizeSentence(DependencyStructure dependencyGraph)`
`GuideUserAction` | `predict(DependencyStructure gold, ParserConfiguration config)`
`void` | `terminate()`

Methods inherited from class org.maltparser.parser.Oracle
`getConfiguration, getGuideName, getHistory, setGuideName, updateActionContainers`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CovingtonOracle

    public CovingtonOracle(DependencyParserConfig manager,
                           GuideUserHistory history)
                    throws MaltChainedException

Throws:
  `MaltChainedException`

Method Detail

### predict

    public GuideUserAction predict(DependencyStructure gold,
                                   ParserConfiguration config)
                            throws MaltChainedException

  Throws:
    `MaltChainedException`

### finalizeSentence

    public void finalizeSentence(DependencyStructure dependencyGraph)
                          throws MaltChainedException

  Throws:
    `MaltChainedException`

### terminate

    public void terminate()
                   throws MaltChainedException

  Throws:
    `MaltChainedException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2007-2011 Johan Hall, Jens Nilsson and Joakim Nivre.